tests_without_recompilation:
  image: debian
  script:
   - apt-get update
   - apt-get install -y ocaml-nox
  #Eclipse Prolog compilation of COLIBRI
   - ocamlopt -o compile_colibri unix.cmxa compile_colibri.ml
   - ./compile_colibri
  #Bundle in bundle directory
   - ./bundle.sh bundle
   - cp -ra Bin/ECLIPSE_V7.0_45/ bundle/ECLIPSE/
  #Test
   - apt-get update
   - apt-get install -y parallel
   - ./test.sh -j2
  artifacts:
    paths:
     - logs
    expire_in: 1 week
  tags:
    - docker

tests_with_recompilation:
  image: ocaml/opam@sha256:c4dc0b8c0fefabeec52a4b596bd3fbdd8fe63d772167303fc24913a3cee79d89
  script:
   - rm -f Src/COLIBRI/lib/v7/x86_64_linux/* Src/COLIBRI/simplex_ocaml.pl
  #OCaml dependencies
   - opam depext --install dune zarith ocplib-simplex parsexp menhir fmt spelll gen uutf
  #OCaml compilation
   - make ECLIPSEBIN=$(pwd)/Bin/ECLIPSE_V7.0_45/
  #Bundle in bundle directory
   - ./bundle.sh bundle
   - cp -ra Bin/ECLIPSE_V7.0_45/ bundle/ECLIPSE/
  #Test
   - sudo apt-get update
   - sudo apt-get install -y parallel
   - ./test.sh -j2
  artifacts:
    paths:
     - logs
    expire_in: 1 week
  tags:
    - docker
